# sodium_crypto_auth_verify

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_auth_verify — Vérifie que l'étiquette est valide pour le message

### Description

sodium_crypto_auth_verify(string `$mac`, string `$message`, #[\SensitiveParameter] string `$key`): bool

Vérifie que l'étiquette est valide pour un message et une clé donnés.

Contrairement aux signatures numériques (par exemple sodium_crypto_sign_verify_detached()), toute partie capable de vérifier un message est également capable d'authentifier ses propres messages. (D'où, l'authentification symétrique.)

### Liste de paramètres

`mac`

  Etiquette d'authentification produite par sodium_crypto_auth()

`message`

  Message

`key`

  La clé d'authentification

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.